
rule Trojan_ROAMINGMOUSE_doc
{
    meta:
        Author = "Trend Micro"
        Created_Time = "2024-10-01"
        Last_Update_Time = "2024-10-01"
        Detection_Type = "File"
        Malware_Name = "Trojan.W97M.ROAMINGMOUSE"
        Description = "Detection for ROAMINGMOUSE"
        TLP = "AMBER"
        Attack_Intrusion_Set = "Earth Kasha"
    strings:
        $s1 = "TextBox1_MouseMove"
        $s2 = "_B_var_Environ"

        $h1 = {1E 00 00 00 0C 00 00 00 4E 6F 72 6D 61 6C 2E 64 6F 74 6D 00 1E}
        $h2 = {1E 00 00 00 08 00 00 00 75 73 65 72}
    condition:
        uint32(0) == 0xE011CFD0 and 
        uint32(4) == 0xE11AB1A1 and
        all of them
}
